#ifndef __GRAFODIRIGIDO_H__
#define __GRAFODIRIGIDO_H__

#include "grafo.h"

//! Implementa un grafo dirigido

/*!
    Esta clase, que hereda de Grafo, implementa un
    grafo dirigido.
 */

class GrafoDirigido:public Grafo {
    public:
        GrafoDirigido( int n );
        virtual ~GrafoDirigido();
        virtual void peso( int i, int j, TipoPeso valor );
        virtual Grafo *copia( void );
};

#endif
